Page MenuHomePhabricator

Flow errors with array_slice and array_filter
Closed, ResolvedPublic

Description

Warning: array_filter() expects parameter 1 to be an array or collection in /srv/mediawiki/php-1.27.0-wmf.9/extensions/Flow/includes/Formatter/HistoryQuery.php on line 115	1	 
Warning: Invalid operand type was used: array_slice expects an array or collection as argument 1 in /srv/mediawiki/php-1.27.0-wmf.9/extensions/Flow/includes/Formatter/HistoryQuery.php on line 121

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterStop silently ignoring DB errors

Event Timeline

demon created this task.Dec 16 2015, 9:10 PM
demon raised the priority of this task from to Needs Triage.
demon updated the task description. (Show Details)
demon added a subscriber: demon.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 16 2015, 9:10 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
demon triaged this task as Medium priority.Dec 16 2015, 9:10 PM

Change 259692 had a related patch set uploaded (by Matthias Mullie):
Stop silently ignoring DB errors

https://gerrit.wikimedia.org/r/259692

The problem lies earlier in the code, where apparently there must've been an improperly handled query error. Above patch should expose original problem earlier.

Change 259692 merged by jenkins-bot:
Stop silently ignoring DB errors

https://gerrit.wikimedia.org/r/259692

Catrope closed this task as Resolved.Dec 19 2015, 12:55 AM
Catrope added a subscriber: Catrope.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM